[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector4_single

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Single precision vector of four scalars

## Declaration

Source position: matrix.pp line 116

`type Tvector4_single = object`
`data: Tvector4_single_data;` |  | Internal data of Tvector4.single
`constructor init_zero;` |  | Initializes the vector and sets its elements to zero
`constructor init_one;` |  | Initializes the vector and sets its elements to one
`constructor init();` |  | Initializes the vector, setting its elements to the values passed to the constructor.
`function length;` |  | Calculates the length of the vector.
`function squared_length;` |  | Calculates the squared length of the vector.
`end;`

## Inheritance

`Tvector4_single` |  | Single precision vector of four scalars

## Description

The Tvector4_single object provides a vector of four single precision scalars.